%global modname zope.testing

Summary:        Zope Testing Framework
Name:           python-zope-testing
Version:        5.0.1
Release:        3%{?dist}
License:        ZPLv2.1
URL:            https://pypi.io/project/%{modname}
Source0:        https://pypi.io/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz

BuildArch:      noarch

%description
This package provides a number of testing frameworks. It includes a flexible test runner,
and supports both doctest and unittest.

%package -n python%{python3_pkgversion}-zope-testing
Summary:        Zope Testing Framework

BuildRequires:  python%{python3_pkgversion}-devel python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-zope-testing
This package provides a number of testing frameworks. It includes a flexible test runner,
and supports both doctest and unittest.

%prep
%autosetup -p1 -n %{modname}-%{version}
rm -rf %{modname}.egg-info

%build
%{py3_build}

%install
%{py3_install}
rm -f %{buildroot}%{python3_sitelib}/zope/__init__.py*
rm -f %{buildroot}%{python3_sitelib}/zope/testing/*.txt

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-zope-testing
%license COPYRIGHT.txt LICENSE.txt
%doc CHANGES.rst README.rst src/zope/testing/*.txt
%{python3_sitelib}/zope/testing/
%{python3_sitelib}/%{modname}-*.egg-info
%{python3_sitelib}/%{modname}-*-nspkg.pth

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.1-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.0.1-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 jackeyji <jackeyji@tencent.com> - 5.0.1-1
- upgrade to 5.0.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.7-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 4.7-1
- initial build
